Package uk.ac.starlink.vo

# Interface AdqlValidator.ValidatorTable

Enclosing class:
  AdqlValidator

public static interface AdqlValidator.ValidatorTable
Defines table metadata for tables known to the validator.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getColumnNames()`
Returns a collection of column names associated with this table.
`String`
`getSchemaName()`
Returns the name of the schema to which this table belongs, if known.
`String`
`getTableName()`
Returns the fully-qualified name of this table, which may include a schema part.

## Method Details

### getTableName

String getTableName()
Returns the fully-qualified name of this table, which may include a schema part.

Returns:
  table name

### getSchemaName

String getSchemaName()
Returns the name of the schema to which this table belongs, if known. In practice, it only seems to be necessary if the table name does not include a schema part.

Returns:
  schema name

### getColumnNames

Collection<String> getColumnNames()
Returns a collection of column names associated with this table. A null return value means that the list of column names is not known.

The return value of this call may change over the lifetime of this object.

Returns:
  column array, or null